Bug 11266 - can't create initial device list
: can't create initial device list
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-29 15:30 by
Modified: 2007-04-18 13:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-29 15:30:06
chroot_mkdev для 'console tty0 fb0 tty ptmx' вызывается с параметром
-r /dev/"$node". при initdefault 3 права на tty0 равны user.user,
что приводит к попытке изменить права на устройство в чруте на несуществующую
группу user и, соответственно, к аварийному завершению работы
------- Comment #1 From 2007-03-29 23:28:55 -------
Какая версия spt используется?

# l /dev/tty0
crw--w---- 1 root tty 4, 0 Мар 10 18:36 /dev/tty0
------- Comment #2 From 2007-03-30 01:39:16 -------
использовались 0.6.0-alt0.1 (из git ldv), 0.6.0-alt1 сизифный,
в этом месте они различаются только списком устройств.
------- Comment #3 From 2007-03-30 01:56:37 -------
вдогонку: права на tty0 меняются, если залогиниться на консоли и запустить 
X-сервер, достаточно просто X. Думаю, я не один такой, так что видимо нужно
с этим что-то делать, хотя бы задокументировать.
------- Comment #4 From 2007-04-04 13:28:41 -------
Мда, я тоже видимо нарвался.. когда можно ожидать исправления ?

Это же ещё и на создание темплейтов как-то отразится ?
------- Comment #5 From 2007-04-04 13:29:21 -------
Дим, я так понимаю что это исправляется тривиально ? 
------- Comment #6 From 2007-04-04 13:45:57 -------
Да, у hsh-fakedev для этого есть все необходимые ключики.
------- Comment #7 From 2007-04-18 13:58:08 -------
seems fixed